﻿using System.Linq;
using System.Linq.Expressions;
using System.Data.Linq;
using System;

namespace LinqThings4Sale
{
    public partial class LinqThings4SaleDataContext : System.Data.Linq.DataContext
    {
        partial void DeleteThingsForSale_Category(ThingsForSale_Category instance)
        {
            var Categories = from Category in ThingsForSales
                             where Category.Category == instance.Category
                             select Category;

            if (Categories.Count() > 0)
            {
                throw new Exception("Cannot delete a Category that is being used");
            }

            this.ExecuteDynamicDelete(instance);  
        }
    }
}